pkgsrc/mail/postfix/patches/patch-aa
martti 55b45d8ae2 Updated mail/postfix to 2.4.3
20070425

	Bugfix: don't falsely report "lost connection from
	localhost[127.0.0.1]" when Postfix is being portscanned.
	Files: smtpd/smtpd_peer.c, qmqpd/qmqpd_peer.c.

20070430

	Robustness: recommend a "0" process limit for policy servers
	to avoid "connection refused" problems when the smtpd
	process limit exceeds the default process limit.  File:
	proto/SMTPD_POLICY_README.html.

20070501

	Safety: when IPv6 (or IPv4) is turned off, don't treat an
	IPv6 (or IPv4) connection from e.g. inetd as if it comes
	from localhost[127.0.0.1].  Files: smtpd/smtpd_peer.c,
	qmqpd/qmqpd_peer.c.

20070508

	Bugfix: Content-Transfer-Encoding: attribute values are
	case insensitive. File: src/cleanup/cleanup_message.c.

20070514

	Bugfix: mailbox_transport(_maps) and fallback_transport(_maps)
	were broken when used with the error(8) or discard(8)
	transports. Cause: insufficient documentation.  Files:
	error/error.c, discard/discard.c.

20070520

	Bugfix (problem introduced Postfix 2.3): when DSN support
	was introduced it broke "agressive" recipient duplicate
	elimination with "enable_original_recipient = no".  File:
	cleanup/cleanup_out_recipient.c.

20070529

	Bugfix (introduced Postfix 2.3): the sendmail/postdrop
	commands would hang when trying to submit a message larger
	than the per-message size limit. File: postdrop/postdrop.c.

20070530

	Sabotage the saboteur who insists on breaking Postfix by
	adding gethostbyname() calls that cause maildir delivery
	to fail when the machine name is not found in /etc/hosts,
	or that cause Postfix processes to hang when the network
	is down.

20070531

	Portability: Victor helpfully pointed out that change
	20070425 broke on non-IPv6 systems. Files: smtpd/smtpd_peer.c,
	qmqpd/qmqpd_peer.c.
2007-06-01 03:34:06 +00:00

42 lines
1.1 KiB
Text

$NetBSD: patch-aa,v 1.19 2007/06/01 03:34:07 martti Exp $
--- postfix-install.orig 2007-04-02 20:14:37.000000000 +0300
+++ postfix-install 2007-06-01 06:26:07.000000000 +0300
@@ -359,26 +359,6 @@
: ${tempdir=`pwd`}
: ${config_directory=`bin/postconf -h -d config_directory`}
-# Find out the location of installed configuration files.
-
-test -z "$non_interactive" && for name in install_root tempdir config_directory
-do
- while :
- do
- echo
- eval echo Please specify \$${name}_prompt | ${FMT}
- eval echo \$n "$name: [\$$name]\ \$c"
- read ans
- case $ans in
- "") break;;
- *) case $ans in
- /*) eval $name=$ans; break;;
- *) echo; echo $0: Error: $name should be an absolute path name. 1>&2;;
- esac;;
- esac
- done
-done
-
# In case some systems special-case pathnames beginning with //.
case $install_root in
@@ -735,10 +715,3 @@
"sample_directory = $sample_directory" \
"readme_directory = $readme_directory" \
|| exit 1
-
-# If Postfix is being installed locally from source code, do the
-# post-install processing now.
-
-test -n "$install_root" || {
- bin/postfix post-install $post_install_options || exit 1
-}